Skip to Content

List namespaces

Returns namespace summaries, newest first, filterable by creation time (`after`, `before`).

GET
/v1/namespaces

Returns namespace summaries, newest first, filterable by creation time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page. Read a namespace's metadata with GET /v1/namespaces/{id}.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
after?string
before?string

Response Body

NamespacePage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.namespaces.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "createdAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation